Bug 397701 - Upgrade from F7 to F8 forget all existing configurations
Upgrade from F7 to F8 forget all existing configurations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 05:51 EST by Simo Sorce
Modified: 2009-01-09 00:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2007-11-24 05:51:34 EST
Description of problem:
On upgrade your existing confs are lost

Version-Release number of selected component (if applicable):


How reproducible:
Always, did twice with FF8 i386 and F8 x86_64

Steps to Reproduce:
1. Upgrade an F7 install where NM-vpnc was in use
2.
3.
  
Actual results:
No conf is remembered on startup

Expected results:
Previous configurations are preserved

Additional info:
Comment 1 Denis Leroy 2007-11-24 09:19:45 EST
The structure of the GConf /system/network/ directory has completely changed
from NM 0.6.4 to 0.7.0, so that's no surprise. I'd close this as a WON'T FIX.
However I think the secrets from the gnome keyring should remain.
Comment 2 Simo Sorce 2007-11-24 12:17:19 EST
The secrets didn't, actually I had to wipe the keyring and restart NM as I was
not given a chance to retype a password I type wrongly.
Comment 3 Denis Leroy 2007-11-24 12:31:08 EST
Yeah, that's another bug.  I spent a lot of time looking at the vpn stack in NM
0.7, but I can't fix it all without Dan's input on what the original intent was
wrt dbus interfaces...

you work for RH, you corner him at lunch time :-)
-d

Comment 4 Bug Zapper 2008-11-26 03:40:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:19:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.